package com.sun.v3.sampleapplications;

import javax.ejb.Local;
import java.sql.Connection;

/**
 *
 * @author marina vatkina
 */

@Local
public interface BeanLocal {
    
    // Simple test
    public String getString();

    // Insert rows with acquired connections
    public String testInsert();

    // Delete rows with acquired connections
    public String testDelete();

    // Insert rows with provided connections
    public String testInsert(Connection c1, Connection c2);

    // Delete rows with provided connections
    public String testDelete(Connection c1, Connection c2);

}
